Bug 1021225 - [abrt] salt-minion-0.17.1-1.fc20: minion.py:847:_state_run:KeyError: 'ext_job_cache'
Summary: [abrt] salt-minion-0.17.1-1.fc20: minion.py:847:_state_run:KeyError: 'ext_job...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: salt
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Erik Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:510a07c02a1652d378733e4163e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-20 13:43 UTC by Niki Guldbrand
Modified: 2013-12-14 02:51 UTC (History)
3 users (show)

Fixed In Version: salt-0.17.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-14 02:51:31 UTC


Attachments (Terms of Use)
File: backtrace (719 bytes, text/plain)
2013-10-20 13:44 UTC, Niki Guldbrand
no flags Details
File: environ (72 bytes, text/plain)
2013-10-20 13:44 UTC, Niki Guldbrand
no flags Details

Description Niki Guldbrand 2013-10-20 13:43:56 UTC
Description of problem:
No idea, showed up after a reboot.
The master is salt-0.16.4 (fc19)

Version-Release number of selected component:
salt-minion-0.17.1-1.fc20

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /usr/bin/salt-minion
dso_list:       salt-0.17.1-1.fc20.noarch
executable:     /usr/bin/salt-minion
kernel:         3.11.5-302.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
minion.py:847:_state_run:KeyError: 'ext_job_cache'

Traceback (most recent call last):
  File "/usr/bin/salt-minion", line 14, in <module>
    salt_minion()
  File "/usr/lib/python2.7/site-packages/salt/scripts.py", line 30, in salt_minion
    minion.start()
  File "/usr/lib/python2.7/site-packages/salt/__init__.py", line 215, in start
    self.minion.tune_in()
  File "/usr/lib/python2.7/site-packages/salt/minion.py", line 1078, in tune_in
    self._state_run()
  File "/usr/lib/python2.7/site-packages/salt/minion.py", line 847, in _state_run
    data = {'jid': 'req', 'ret': self.opts['ext_job_cache']}
KeyError: 'ext_job_cache'

Local variables in innermost frame:
self: <salt.minion.Minion object at 0x21d4a50>

Comment 1 Niki Guldbrand 2013-10-20 13:44:01 UTC
Created attachment 814219 [details]
File: backtrace

Comment 2 Niki Guldbrand 2013-10-20 13:44:05 UTC
Created attachment 814220 [details]
File: environ

Comment 3 Erik Johnson 2013-10-25 15:44:07 UTC
A couple questions:

1. Are the master and minion running on the same host, or different hosts?

2. Was the "salt" package (containing common files for the salt-master and salt-minion packages) also updated to 0.17.1? What is the output of "rpm -q salt"?

Comment 4 Niki Guldbrand 2013-11-02 11:07:00 UTC
The upstream patches for this is at:
https://github.com/saltstack/salt/pull/7953

but all you have to do, is to add the following to the minion config file, until a new release is made that fixes this, probably 0.17.2.

ext_job_cache: ''

Comment 5 Niki Guldbrand 2013-11-02 11:11:48 UTC
Answers to your questions:

1. They are on seperate hosts, but there is a minion on the master too.

2. yes, it's salt-0.17.1-1.fc20.noarch and salt-minion-0.17.1-1.fc20.noarch

Comment 6 Erik Johnson 2013-11-30 02:45:46 UTC
I've confirmed that the pull request mentioned in comment #4 is indeed in 0.17.2.

Comment 7 Fedora Update System 2013-12-01 16:34:55 UTC
salt-0.17.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-22034/salt-0.17.2-2.fc20

Comment 8 Fedora Update System 2013-12-14 02:51:31 UTC
salt-0.17.2-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.